|  | boostmatcher.h File Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
boostmatcher.h File Reference

Boost::regex-based matcher engines for pattern matching. More...

`#include <reflex/absmatcher.h>`
`#include <boost/regex.hpp>`
Include dependency graph for boostmatcher.h:

## Classes

class | reflex::BoostMatcher
| Boost matcher engine class implements reflex::PatternMatcher pattern matching interface with scan, find, split functors and iterators, using the Boost::regex library. More...
class | reflex::BoostPosixMatcher
| Boost matcher engine class, extends reflex::BoostMatcher for Boost POSIX regex matching. More...
class | reflex::BoostPerlMatcher
| Boost matcher engine class, extends reflex::BoostMatcher for Boost Perl regex matching. More...

## Namespaces

| reflex

## Detailed Description

Boost::regex-based matcher engines for pattern matching.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt